Bug 134755 - i18n: update locale data for Kazakh [kk-KZ]
Summary: i18n: update locale data for Kazakh [kk-KZ]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Baurzhan Muftakhidinov
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-12 16:55 UTC by Baurzhan Muftakhidinov
Modified: 2020-07-16 14:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baurzhan Muftakhidinov 2020-07-12 16:55:01 UTC
Kazakh locale settings listed in core/i18npool/source/localedata/data/kk_KZ.xml have some inconsistencies:

1) Misspelled weekday;
2) Misspelled months;
3) Incorrect timeformat by default (Should be 24 Hours);
4) Currency symbol is now present.

Will push new file to gerrit soon.

Thanks,
Comment 1 Baurzhan Muftakhidinov 2020-07-12 17:10:43 UTC
Added to gerrit https://gerrit.libreoffice.org/c/core/+/98465
Comment 2 Commit Notification 2020-07-13 19:46:02 UTC
Baurzhan Muftakhidinov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a3c3ab7394f578340c33e6e1cd8da13196a8b596

tdf#134755 Update locale data for Kazakh [kk-KZ]

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-07-15 09:51:15 UTC
Baurzhan Muftakhidinov committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/b170c159c8b77a81dafd98d825af9e503348ec8c

tdf#134755 Update locale data for Kazakh [kk-KZ]

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2020-07-16 14:34:46 UTC
Hi Baurzhan,
Thanks for your work! If it is completed then please set this bug's status to

RESOLVED FIXED

Thanks again.
Comment 5 Baurzhan Muftakhidinov 2020-07-16 14:53:00 UTC
Thank you very much! Will do now.